Just Trains Customer Service

Return to the Customer Service homepage

Are Just Trains products compatible with Train Simulator 2016?

Product Compatiblity

(Excluding products that are compatible with Trainz Simulator or Microsoft Train Simulator, RailWorks only)

As long as you have the European Loco and US Loco (Included in TS2012 and all previous versions) asset packs that you can purchase from Steam Store (links below) and any requirements listed on the product page, it will work on TS2016.

US Loco & Asset Pack: http://store.steampowered.com/app/208306/?snr=1_7_7_151_150_1

European Loco & Asset Pack: http://store.steampowered.com/app/208300/?snr=1_7_7_151_150_1

Didn't find the answer you were looking for?

Contact our Customer Service Team
BACK